
This is an Xview2.0 port of Ron Hitchens rolo tool. Please send problems
to me directly. Note that Ron had nothing to do w/ this port, so you
should not pester him about problems found in this distribtuion.

Luis Soltero

--luis@rice.edu


The following command line options are supported by all xview2.0
applications. I have included them here because it tool me some time
to discover them.

FLAG    (LONG FLAG)             ARGS            NOTES
-Ww     (-width)                columns
-Wh     (-height)               lines
-Ws     (-size)                 x y
-Wp     (-position)             x y
        (-geometry)     "[WxH][{+|-}X{+|-}Y]"   (X geometry)
-WP     (-icon_position)        x y
-Wl     (-label)                "string"
        (-title)                "string"        (Same as -label)
-Wi     (-iconic)               (Application will come up closed)
+Wi     (+iconic)               (Application will come up open)
-Wt     (-font)                 fontname
-fn                             fontname
-Wx     (-scale)                small | medium | large | extra_large
-Wf     (-foreground_color)     red green blue  0-255 (no color-full color)
-fg     (-foreground)           colorname       (X Color specification)
-Wb     (-background_color)     red green blue  0-255 (no color-full color)
-bg     (-background)           colorname       (X Color specification)
-WI     (-icon_image)           filename
-WL     (-icon_label)           "string"
-WT     (-icon_font)            filename
-Wr     (-display)              "server_name:screen"
-Wdr    (-disable_retained)
-Wdxio  (-disable_xio_error_handler)
-Wfsdb  (-fullscreendebug)
-Wfsdbs (-fullscreendebugserver)
-Wfsdbp (-fullscreendebugptr)
-Wfsdbk (-fullscreendebugkbd)
-WS     (-defeateventsecurity)
-sync   (-synchronous)                          (Force a synchronous connection)
+sync   (+synchronous)                          (Make an asynchronous connection)
-Wd     (-default)              resource value  (Set the X resource to value)
-xrm                            resource:value  (Set the X resource to value)
-WH     (-help)


BUGS.
	There is a nasty bug in XView 2.0 which causes XView to core dump
when run xrolo is run in 2D mode (the default on B&W displays). If you
are linking xrolo against a library that was created from the XView
sources available at expo.lcs.mit.edu, apply the following patch and
recompile libolgx. Sun claims that this bug will be fixed in OW 3.0.

*** ol_button.c.orig	Thu Oct  4 16:07:17 1990
--- ol_button.c	Thu Oct  4 16:11:36 1990
***************
*** 551,558 ****
  
  
  
!     if (!info->gc_rec[OLGX_TEXTGC])
! 	olgx_initialise_gcrec(info, OLGX_TEXTGC);
  
      if ((state & OLGX_INVOKED) && (info->three_d)) {
  
--- 551,561 ----
  
  
  
!     if (!info->gc_rec[OLGX_TEXTGC]) {
!       olgx_initialise_gcrec(info, OLGX_TEXTGC);
!         if (!info->three_d)
!             olgx_initialise_gcrec(info, OLGX_TEXTGC_REV);
!     }
  
      if ((state & OLGX_INVOKED) && (info->three_d)) {


if you are linking agains the XView libraries that come w/ open look
then:
	1) obtain a copy of ol_button.c from one of the source archives. 
	2) apply the patch.
	3) cd $OPENWINHOME/lib
	   cp libolgx.a libolgx.orig
       ar rlv libolgx.a ol_button.o  
	4) link xrolo using the following sequence
	cc -o xrolo -O -L$OPENWINHOME/lib -lxview -Bstatic -lolgx -Bdynamic -lX11 
